# Influencer Details (Twitter Screen Name)

## Retrieve Influencer Details

<mark style="color:blue;">`GET`</mark> `https://api.hive.one/v1/influencers/screen_name/:screen_name/`

This endpoint allows you to get the rank/score details of an influencer using their screen name.

#### Path Parameters

| Name         | Type   | Description                                |
| ------------ | ------ | ------------------------------------------ |
| screen\_name | string | Screen name of the influencer to retrieve. |

#### Query Parameters

| Name               | Type    | Description                                         |
| ------------------ | ------- | --------------------------------------------------- |
| rank\_type         | string  | <p>Options: all, personal<br>Default: all</p>       |
| include\_followers | boolean | <p>Options: 0 (false), 1 (true)<br>Default: all</p> |

#### Headers

| Name           | Type   | Description          |
| -------------- | ------ | -------------------- |
| Authentication | string | Authentication token |

{% tabs %}
{% tab title="200 Influencer Score/Rank Details" %}
{% tabs %}
{% tab title="Regular Response" %}

```
{
    "data": {
        "name": "jack 🌍🌏🌎",
        "imageUrl": "https://pbs.twimg.com/profile_images/1115644092329758721/AFjOr-K8.jpg",
        "scores": [
            {
                "name": "Crypto",
                "abbr": "Crypto",
                "score": 294.33173391507,
                "rank": 71
            },
            {
                "name": "Bitcoin",
                "abbr": "BTC",
                "score": 336.077875237622,
                "rank": null
            },
            {
                "name": "Ethereum",
                "abbr": "ETH",
                "score": 219.316892977565,
                "rank": null
            },
            {
                "name": "Ripple",
                "abbr": "XRP",
                "score": 186.207651169653,
                "rank": null
            }
        ],
        "twitterId": "12",
        "screenName": "jack",
        "hasPodcasts": {
            "host": false,
            "guest": true
        }
    }
}
```

{% endtab %}

{% tab title="Include Followers" %}

```
{
    "data": {
        "name": "jack 🌍🌏🌎",
        "imageUrl": "https://pbs.twimg.com/profile_images/1115644092329758721/AFjOr-K8.jpg",
        "scores": [
            {
                "name": "Crypto",
                "abbr": "Crypto",
                "score": 300.663957280137,
                "rank": 69,
                "followers": [
                    {
                        "id": "1469101279",
                        "name": "Andreas ☮ 🌈 ⚛ ⚖ 🌐 📡 📖 📹 🔑 🛩",
                        "screenName": "aantonop",
                        "imageUrl": "https://pbs.twimg.com/profile_images/1201322457912795137/F2IOy2T5.jpg",
                        "rank": 1,
                        "score": 617.757039057179,
                        "twitterId": "1469101279"
                    },
                ]
            },
            {
                "name": "Bitcoin",
                "abbr": "BTC",
                "score": 339.177595069603,
                "rank": null,
                "followers": [
                    {
                        "id": "23618940",
                        "name": "Jameson Lopp",
                        "screenName": "lopp",
                        "imageUrl": "https://pbs.twimg.com/profile_images/949374657852928000/Ti3zmF2L.jpg",
                        "rank": 3,
                        "score": 778.598199990271,
                        "twitterId": "23618940"
                    },
                ]
            },
            {
                "name": "Ethereum",
                "abbr": "ETH",
                "score": 228.278309898247,
                "rank": null,
                "followers": [
                    {
                        "id": "2362854624",
                        "name": "Joseph Lubin",
                        "screenName": "ethereumJoseph",
                        "imageUrl": "https://pbs.twimg.com/profile_images/968150222760132608/Dzi20Mri.jpg",
                        "rank": 3,
                        "score": 681.87697976236,
                        "twitterId": "2362854624"
                    },
                ]
            },
            {
                "name": "Ripple",
                "abbr": "XRP",
                "score": 185.249746297779,
                "rank": null,
                "followers": [
                    {
                        "id": "28582680",
                        "name": "Brad Garlinghouse",
                        "screenName": "bgarlinghouse",
                        "imageUrl": "https://pbs.twimg.com/profile_images/1165061949601632256/vVVkiMFn.jpg",
                        "rank": 2,
                        "score": 907.413656363106,
                        "twitterId": "28582680"
                    },
                ]
            }
        ],
        "twitterId": "12",
        "screenName": "jack",
        "hasPodcasts": {
            "host": false,
            "guest": true
        }
    }
}
```

{% endtab %}
{% endtabs %}
{% endtab %}

{% tab title="404 Could not find a influencer with that screen\_name" %}

```
{
    "error": "Could not find any accounts matching screen_name: foobar"
}
```

{% endtab %}
{% endtabs %}

#### Top Followers

If you want to get a list of an influencers top followers in a given `cluster`add `include_followers=1` to the query parameters.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hive.one/core-resources/profile-details-twitter-screen-name.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
